Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 11/20/2024 in all areas

  1. I'v tried the "arc2txt" and it works well (see attached picture). Try to load it in Visual Lisp IDE, select in card Debug -> Break On Error, then run LISP and see where the error occured. Also, there is a "Arc Aligned" function in "Express Tools" (if you have it in your version of CAD) or just type a ARCTEXT command which is better then posted LISP. Best regards.
    1 point
  2. Right click on the folder and then properties and after that you need to take full control to be able to write to that folder. Note: if that didn't work you may go back to AutoCAD folder to apply the same procedure.
    1 point
  3. Can you save there from other applications, perhaps a small notepad text file? If not and assuming it is a work computer, perhaps you need to check your IT support that you have the relevant permissions to do so
    1 point
  4. Thanks for the info. I'll go fiddle some with the batte.lsp. Nice update to your program. It ignored me when I tested the possibility of renaming a layer or blockname to one that already existed but wasn't listed. Seems "sailor-proof." Steve
    1 point
  5. @StevJ, it's sort of beyond the scope of this program. I wrote it to learn how to make programs with DCLs' more or less but has been very useful today at work. You can change the height of that programs UI too. Open the lisp and search for the height property for that listbox I'd say and change that to your needs. The DCL code is hardcoded into the .lsp file with that one. Something I didn't bother to do with this. (Lazy). I've fixed the issue of the blocks and layers not getting selected or highlighted with the help from @pkenewell for that, see post here. Attached is the fixed version. REVISION HISTORY: 2024.11.17 - v1.0 - First release 2024.11.19 - v1.01 - Layers and blocks can now be renamed without the loss of highlighting or selection issues present in the previous version. Thanks pkenewell on CAD Tutors. - Better handling of the buttons in the UI. Disabling / enabling / focusing them where required. 3dwannab_Rename_Blocks_and_Layers.lsp 3dwannab_Rename_Blocks_and_Layers.dcl
    1 point
  6. Thank you for posting your solution. It may help someone else down the road.
    1 point
  7. I fixed it with the following: I've been at this for 4 hours, yet once I posted here, I found the solution in 10 minutes which is always the way!! I'll post the full code once I'm happy with it. EDIT: Posted the program over here. ;; ;; Function to rename a block withing a DCL ;; Call the function within the DCL: ;; (_renameBlock Oldname NewName) ;; (defun _renameBlock (old new / actDoc) (if (tblobjname "BLOCK" new) (princ (strcat "\n\"" new "\" block aleady exists.")) ) (if (and (tblobjname "BLOCK" old) (not (tblobjname "BLOCK" new))) (progn (setq actDoc (vla-get-ActiveDocument (vlax-get-acad-object))) (vla-SendCommand actDoc (strcat "-rename _B " old "\r" new "\r")) ) ) )
    1 point
×
×
  • Create New...